---
title: update-conditional-firewall-bypass
product: vercel
url: /docs/rest-api/sdk/security/update-conditional-firewall-bypass
canonical_url: "https://vercel.com/docs/rest-api/sdk/security/update-conditional-firewall-bypass"
last_updated: 2026-11-02
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about update-conditional-firewall-bypass on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Update conditional firewall bypass

```http
PUT /v1/security/firewall/bypass/rules
```

Update a conditional firewall bypass rule for a project domain. Replaces conditions and the note for the domain's existing rule. Omitting `note` clears it. The rule ID, domain, creator, and creation time are preserved. Missing or deleted rules are not created.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string | Yes |  |
| `slug` | string | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |


## Request body

Required: No

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "domain",
    "conditionGroup"
  ],
  "properties": {
    "domain": {
      "type": "string"
    },
    "conditionGroup": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "conditions"
        ],
        "properties": {
          "conditions": {
            "type": "array"
          }
        }
      }
    },
    "note": {
      "type": "string",
      "maxLength": 500
    }
  }
}
```

## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.security.updateConditionalBypass({
    projectId: "<id>",
    slug: "my-team-url-slug",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "condition": "string",
  "conditionGroup": [
    {
      "conditions": [
        {
          "key": "string",
          "neg": "false",
          "op": "eq",
          "type": "bot_category",
          "value": "string"
        }
      ]
    }
  ],
  "createdAt": "string",
  "domain": "string",
  "id": "icfg_1234567890",
  "note": "string",
  "projectId": "example_id",
  "updatedAt": "string"
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "condition",
    "conditionGroup",
    "createdAt",
    "domain",
    "id",
    "projectId",
    "updatedAt"
  ],
  "properties": {
    "condition": {
      "type": "string"
    },
    "conditionGroup": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "conditions"
        ],
        "properties": {
          "conditions": {
            "type": "array"
          }
        }
      }
    },
    "createdAt": {
      "type": "string"
    },
    "domain": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "note": {
      "type": "string"
    },
    "projectId": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    }
  }
}
```

### 400: One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [security endpoints](/docs/rest-api#security)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
